# Contributing to Bubbles

## Introduction
First off, thanks for looking to contribute to Bubbles! We need people like you
to help us make the best quality product we possibly can. Regardless of whether
you're a developer, a designer, a technical writer, a student, or even someone
just interested in learning more about open source and how to contribute, you're
welcome here.

## Code of Conduct
Please take a look at our contributor [Code of Conduct](CODE_OF_CONDUCT.md). We
take harassment and non-inclusive behavior very seriously and will not tolerate
bullying in any form.

## Development Process
Our development process works as follows:

1. Fork this repository to your own local Github account.
2. Clone your local version of the repository: `git clone git@github.com:<username>/bubbles`.
3. Create a branch on your local repository: `git checkout -b <username>/#<issue>-<short-description>`.
4. Make any changes you see fit to fix the issue or add your work.
5. Verify that tests pass: `bundle install && rake spec`.
6. If you're adding a new feature, make sure to add tests for the feature.
7. Commit your changes and push to your fork of the repository.
8. Submit a pull request to the `master` branch of the original repository.
9. You will receive a review within 7 days, at which time, you may need to make
   modifications to your code, or your contribution might be accepted as-is.

## Good First Issues
You can take a look at our [good first issues](https://github.com/FoamFactory/bubbles/issues?q=is%3Aissue+is%3Aopen+label%3A%22good+first+issue%22)
to check out some issues that might be a good starting point for you.
